import App from './App'
import uviewPlus from '@/uni_modules/uview-plus'
import {
  ApiModel
} from './utils/api'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
this.prototype.$Http = new ApiModel();
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.config.globalProperties.$Http = new ApiModel();
  app.use(uviewPlus)
  return {
    app
  }
}
// #endif